package com.sqx.modules.bl.commission.jjr.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.bl.commission.jjr.entity.JjrData;

public interface JjrDataService extends IService<JjrData> {
    Result findPage(JjrData jjrData);
    Result invitationArtificerPage(JjrData jjrData);
    Result artificerPage(JjrData jjrData);
    Result findJjrPage(JjrData jjrData);
    void cancelInvitation(JjrData jjrData);
    JjrData getByCode(String invitationCode);
    void modifyJjr(JjrData jjrData);
}